--[[
NAME
    error
NOTES
    Demonstrates 2D-plot of error bars.
]]

-- Use the plot_2d package to create plot

require("plot_2d")
plot = plot_2d.new(600, 400)
plot:xaxis{range = {0, 12}, label= "X", tickmarks = {0, 2, 0}}
plot:yaxis{range = {0, 2}, label= "Y", tickmarks = {0, .5, 0}, tickdigit = {2, false}}

-- Generate data for plot

xy, y, v = zeUtl.new("double", "double", "double")

xy:resize(10, 4)                        -- vertex data
xy:fill(0)
y:range(1, 1, 10)
xy:setarr(0, y)                         -- x varies from 1 to 10

zeMath.rand(y)
y:mul(.5)
y:add(.75)
xy:setarr(1, y)                         -- y data

v:resize(10, 1)
zeMath.rand(v, 1000)
v:mul(0.25)
xy:setarr(2, v)                         -- standard deviation of y

require("box_sym")
shape = box_sym(plot.plot, xy, 0.2)

v:mul(3)
y:sub(v)
xy:setarr(2, y)                         -- y min
y:add(v)
y:add(v)
xy:setarr(3, y)                         -- y max

require("range_sym")
shape = range_sym(plot, xy, 0.2)

-- Render to a window

plot:show()