--[[
NAME
    poly_smooth
NOTES
    Demonstrates using polynomial smoothing data with noises.
]]

require("plot_2d")
plot = plot_2d.new(600, 400)
plot:xaxis{range = {0, 1000}, label= "X", tickmarks = {0, 200, 0}}
plot:yaxis{range = {0.2, 0.7}, label= "Y", tickmarks = {0, .1, 0}, tickdigit = {2, false}}

point, pxy, line, lxy = zeGrf.new("point", "vertex", "line", "vertex")
point:set{vertex = pxy, size = 3, color = {0, 0, 1, 1}}
line:set{vertex = lxy, type = "strip", color = {1, 0, 0, 1}}

plot:add(point)
plot:add(line)

-- Generate data for plot

xy, y = zeUtl.new("double", "double")

xy:resize(1000, 3)                      -- vertex data
xy:fill(0)
y:range(0, 1, 1000)
xy:setarr(0, y)                         -- x varies from 0 to 1000

zeMath.rand(y)
zeMath.msmooth(y, 10)
xy:setarr(1, y)                         -- a slightly smooth random data as y

pxy:add(xy)                             -- draw the data as points

zeMath.psmooth(y, 30, 4)                -- smooth the data and draw them as lines
xy:setarr(1, y)
lxy:add(xy)

-- Render to a window

plot:translate(10, 20, 0)
plot:show()