--[[
NAME
    plot_simple
FUNCTION
    
NOTES
    Package for simple graph.
]]

require("register")

local P = {}

if _REQUIREDNAME == nil then
    plot_simple = P
else
    _G[_REQUIREDNAME] = P
end

function P.new()
    local render, scene, root, node0, node1 = zeGrf.new("render", "scene", "node", "node", "node")
    render:add(scene)
    scene:set{node = root}
    root:add(node0, node1)
    P.render = render
    P.node0 = node0
    P.node1 = node1
    node1:rotatez(0)
    node1:rotatex(0)
    return P
end

function P.show(self)
    require("towindow")
    towindow(self.render, 512, 512)
end

function P.add(self, object)
    self.root:add(object)
end

function P.animate(self)
    require("animate_node")
    animate_node(self.render, 512, 512, self.node1, 0, 0)
end

function P.save(self, fname)
    self.render:tofile(fname)
end

function P.add_static(self, object)
    self.node0:add(object)
end

function P.add(self, object)
    self.node1:add(object)
end
